libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
xmlpp Namespace Reference

## Classes

class | Attribute
| Represents an XML Node attribute. More...
class | AttributeDeclaration
| Represents the default value of an attribute of an XML Element node. More...
class | AttributeNode
| Represents an explicit attribute of an XML Element node. More...
class | Document
| Represents an XML document in the DOM model. More...
class | Dtd
| Represents XML DTDs. More...
class | KeepBlanks
| This class set KeepBlanksDefault and IndentTreeOutput of libxmlpp and restore their initial value in its destructor. More...
class | NonCopyable
| Herited by classes which cannot be copied. More...
class | Schema
| Represents an XML Schema. More...
class | exception
| Base class for all xmlpp exceptions. More...
class | parse_error
| This exception will be thrown when the parser encounters an error in the XML document. More...
class | validity_error
| This exception will be thrown when the parser encounters a validity error in the XML document. More...
class | internal_error
class | IStreamParserInputBuffer
class | OutputBuffer
| Base class for xmlOutputBuffer wrapper. More...
class | OStreamOutputBuffer
| An OutputBuffer implementation that send datas to a std::ostream. More...
class | ParserInputBuffer
| Base class for xmlParserInputBuffer wrapper. More...
class | CdataNode
| CData node. More...
class | CommentNode
| Comment Node. More...
class | ContentNode
| Content Node. More...
class | Element
| Element nodes have attributes as well as child nodes. More...
class | EntityDeclaration
| Entity declaration. More...
class | EntityReference
| Entity references refer to previously declared entities. More...
class | Node
| Represents XML Nodes. More...
class | ProcessingInstructionNode
class | TextNode
| Text Node. More...
class | Parser
| XML parser. More...
class | SaxParser
| SAX XML parser. More...
class | DomParser
| DOM XML parser. More...
class | TextReader
| A TextReader-style XML parser A reader that provides fast, non-cached, forward-only access to XML data, in the style of .Net's XmlTextReader class. More...
class | DtdValidator
| XML DOM parser. More...
class | SchemaValidator
| Schema Validator. More...
class | Validator
| XML parser. More...

## Typedefs

typedef std::vector< Node* > | NodeSet

## Enumerations

enum | XmlEntityType { XML_INTERNAL_GENERAL_ENTITY = 1, XML_EXTERNAL_GENERAL_PARSED_ENTITY = 2, XML_EXTERNAL_GENERAL_UNPARSED_ENTITY = 3, XML_INTERNAL_PARAMETER_ENTITY = 4, XML_EXTERNAL_PARAMETER_ENTITY = 5, XML_INTERNAL_PREDEFINED_ENTITY = 6 }
enum | XPathResultType { XPATH_RESULT_UNDEFINED = 0, XPATH_RESULT_NODESET = 1, XPATH_RESULT_BOOLEAN = 2, XPATH_RESULT_NUMBER = 3, XPATH_RESULT_STRING = 4 }
| An XPath expression is evaluated to yield a result, which has one of the following four basic types: More...

## Functions

Glib::ustring | format_xml_error (const _xmlError* error=0)
| Format an _xmlError struct into a text string, suitable for printing.
Glib::ustring | format_xml_parser_error (const _xmlParserCtxt* parser_context)
| Format a parser error into a text string, suitable for printing.

## Typedef Documentation

typedef std::vector<Node*> xmlpp::NodeSet

## Enumeration Type Documentation

enum xmlpp::XmlEntityType

Enumerator:

  XML_INTERNAL_GENERAL_ENTITY |
  XML_EXTERNAL_GENERAL_PARSED_ENTITY |
  XML_EXTERNAL_GENERAL_UNPARSED_ENTITY |
  XML_INTERNAL_PARAMETER_ENTITY |
  XML_EXTERNAL_PARAMETER_ENTITY |
  XML_INTERNAL_PREDEFINED_ENTITY |

enum xmlpp::XPathResultType

An XPath expression is evaluated to yield a result, which has one of the following four basic types:

- node-set
- boolean
- number
- string

Enumerator:

  XPATH_RESULT_UNDEFINED |
  XPATH_RESULT_NODESET |
  XPATH_RESULT_BOOLEAN |
  XPATH_RESULT_NUMBER |
  XPATH_RESULT_STRING |

## Function Documentation

Glib::ustring xmlpp::format_xml_error | ( | const _xmlError * | error = `0` | ) |

Format an _xmlError struct into a text string, suitable for printing.

Since libxml++ 2.36:

Parameters:

  error | Pointer to an _xmlError struct or `0`. If `0`, the error returned by xmlGetLastError() is used.

Returns:
  A formatted text string. If the error struct does not contain an error (error->code == XML_ERR_OK), an empty string is returned.

Glib::ustring xmlpp::format_xml_parser_error | ( | const _xmlParserCtxt * | parser_context | ) |

Format a parser error into a text string, suitable for printing.

Since libxml++ 2.36:

Parameters:

  parser_context | Pointer to an _xmlParserCtxt struct.

Returns:
  A formatted text string. If the parser context does not contain an error (parser_context->lastError.code == XML_ERR_OK), an empty string is returned.